/*
 *  Copyright (C) 2003 Ricardo Fernndez Pascual
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef GALEON_TEAROFF_ACTION_H
#define GALEON_TEAROFF_ACTION_H

#include <gtk/gtk.h>
#include <egg-action.h>

#define GALEON_TYPE_TEAROFF_ACTION            (galeon_tearoff_action_get_type ())
#define GALEON_TEAROFF_ACTION(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), GALEON_TYPE_TEAROFF_ACTION, GaleonTearoffAction))
#define GALEON_TEAROFF_ACTION_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), GALEON_TYPE_TEAROFF_ACTION, GaleonTearoffActionClass))
#define GALEON_IS_TEAROFF_ACTION(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GALEON_TYPE_TEAROFF_ACTION))
#define GALEON_IS_TEAROFF_ACTION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((obj), GALEON_TYPE_TEAROFF_ACTION))
#define GALEON_TEAROFF_ACTION_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj), GALEON_TYPE_TEAROFF_ACTION, GaleonTearoffActionClass))

typedef struct _GaleonTearoffAction       GaleonTearoffAction;
typedef struct _GaleonTearoffActionClass  GaleonTearoffActionClass;
typedef struct GaleonTearoffActionPrivate GaleonTearoffActionPrivate;

struct _GaleonTearoffAction
{
	EggAction parent;
};

struct _GaleonTearoffActionClass
{
	EggActionClass parent_class;
};

GType    galeon_tearoff_action_get_type   (void);

#endif
