/*
 *  Copyright (C) 2000, 2001, 2002 Marco Pesenti Gritti
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include "galeon-window.h"
#include "galeon-embed-utils.h"

#include "egg-action.h"

void window_cmd_edit_find	(EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_file_print 	(EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_go_stop 	(EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_go_back 	(EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_go_forward 	(EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_go_up		(EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_go_home 	(EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_go_myportal 	(EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_go_location 	(EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_go_reload 	(EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_new	 	(EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_new_window 	(EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_new_tab 	(EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_bookmarks_add_interactive(EggAction *action, 
			    		  GaleonWindow *window);

void window_cmd_bookmarks_add_tab_folder (EggAction *action, 
			    		  GaleonWindow *window);

void window_cmd_bookmarks_edit 	(EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_file_open 	(EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_file_save_as 	(EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_file_send_to 	(EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_file_quit	(EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_file_close_tab	(EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_edit_cut 	(EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_edit_copy 	(EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_edit_paste 	(EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_edit_select_all (EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_edit_find_next	(EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_edit_find_prev	(EggAction *action, 
			    	 GaleonWindow *window);
void 
window_cmd_set_permission	(EggAction *action, 
			    	 GaleonWindow *window);
void 
window_cmd_show_java_console	(EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_show_js_console	(EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_view_zoom_in	(EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_view_zoom_out	(EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_view_zoom_normal(EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_view_page_source(EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_view_page_info  (EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_tools_history   (EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_tools_pdm	(EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_edit_prefs      (EggAction *action, 
			    	 GaleonWindow *window);

void 
window_cmd_settings_toolbar_editor	(EggAction *action, 
					 GaleonWindow *window);

void window_cmd_help_about      (EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_tabs_next       (EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_tabs_previous   (EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_tabs_move_left  (EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_tabs_move_right (EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_tabs_clone      (EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_tabs_detach     (EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_tabs_close_other_tabs (EggAction *action,
				       GaleonWindow *window);

void window_cmd_help_manual     (EggAction *action, 
			    	 GaleonWindow *window);

void window_cmd_help_plugins     (EggAction *action, 
			    	 GaleonWindow *window);

